Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0014582
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Openbravo ERP] A. Platformminorhave not tried2010-09-15 22:222010-10-30 11:24
ReportershuehnerView Statuspublic 
Assigned Toalostale 
PriorityhighResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision55a1e97b8109
ProjectionnoneETAnoneTarget Version2.50MP23
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0014582: Add new optional property to achieve access via constant url to openbravo instance

DescriptionAs seen in issue 14430 there can be problems if access to one instance is done via multiple different hostnames.

One option to prevent this would be a new optional property (i.e. commented by default) in the Openbravo.properties file, which would be the 'main' url to this instance. All other accesses to i.e. the login page would then be redirected to the login-page using this main url thus using the same constant url always to access this application.

This mechanism (in simple) did already prove useful as a temporary fix for instances affected by 14430.
Steps To ReproduceI.e. use the steps in 14430
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 00144302.50MP22 closedshuehner Under some conditions you are loged out from the application 

-  Notes
(0031853)
alostale (developer)
2010-10-14 16:17

Implemented by adding a new preference: "Forced Login URL".

http://wiki.openbravo.com/wiki/Functional_Documentation/General_Setup#Preferences [^]
(0031855)
hgbot (developer)
2010-10-14 16:21

Repository: erp/devel/pi
Changeset: 55a1e97b8109c8d5333ad2b21d42cbc7a1678c7a
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Thu Oct 14 16:20:02 2010 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/55a1e97b8109c8d5333ad2b21d42cbc7a1678c7a [^]

fixed issue 14582, related to issue 14430: New property to achieve access via constant url

  ForcedLoginURL optional property is used to force login to a fixed URL
  http://wiki.openbravo.com/wiki/Functional_Documentation/General_Setup#Preferences [^]

---
M src-db/database/sourcedata/AD_REF_LIST.xml
M src/org/openbravo/erpCommon/security/Login.java
---
(0031925)
hudsonbot (developer)
2010-10-18 17:39

A changeset related to this issue has been promoted to main after passing a series of tests and an OBX has been generated:

Changeset: http://code.openbravo.com/erp/devel/main/rev/55a1e97b8109 [^]
Merge Changeset: http://code.openbravo.com/erp/devel/main/rev/e1c7df1ae349 [^]
Tests: http://builds.openbravo.com/view/int/ [^]
OBX: http://builds.openbravo.com/erp/core/obx/OpenbravoERP-2.50CI.18559.obx [^]
(0032049)
marvintm (developer)
2010-10-21 12:20

Works fine. I've improved the documentation so that the instructions on how to define the preference are a bit more clear.

- Issue History
Date Modified Username Field Change
2010-09-15 22:22 shuehner New Issue
2010-09-15 22:22 shuehner Assigned To => shuehner
2010-09-15 22:23 shuehner Relationship added related to 0014430
2010-10-01 18:30 networkb Target Version => 2.50MP23
2010-10-14 11:08 shuehner Assigned To shuehner => alostale
2010-10-14 16:17 alostale Note Added: 0031853
2010-10-14 16:21 hgbot Checkin
2010-10-14 16:21 hgbot Note Added: 0031855
2010-10-14 16:21 hgbot Status new => resolved
2010-10-14 16:21 hgbot Resolution open => fixed
2010-10-14 16:21 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/55a1e97b8109c8d5333ad2b21d42cbc7a1678c7a [^]
2010-10-18 17:39 hudsonbot Checkin
2010-10-18 17:39 hudsonbot Note Added: 0031925
2010-10-21 12:20 marvintm Note Added: 0032049
2010-10-21 12:20 marvintm Status resolved => closed
2010-10-30 11:24 anonymous sf_bug_id 0 => 3098732


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker